Bug 249296 - Review Request: libgeotiff - GeoTIFF format handler library
Review Request: libgeotiff - GeoTIFF format handler library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
: 178162 (view as bug list)
Depends On:
Blocks: 241242
  Show dependency treegraph
 
Reported: 2007-07-23 11:35 EDT by Balint Cristian
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.2.4-0.3.rc1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-30 13:03:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)
mock build log of libgeotiff 1.2.4-0.1.rc1 on rawhide i386 (51.35 KB, text/plain)
2007-07-23 15:06 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Balint Cristian 2007-07-23 11:35:10 EDT
Spec URL: http://openrisc.rdsor.ro/libgeotiff.spec
SRPM URL: http://openrisc.rdsor.ro/libgeotiff-1.2.4rc1.fc8.src.rpm
Description: Libgeotiff is a public domain library normally hosted on top of libtiff for reading, and writing GeoTIFF information tags.
Comment 1 Balint Cristian 2007-07-23 11:36:42 EDT
*** Bug 178162 has been marked as a duplicate of this bug. ***
Comment 2 Mamoru TASAKA 2007-07-23 12:26:59 EDT
(In reply to comment #0)
> Spec URL: http://openrisc.rdsor.ro/libgeotiff.spec
> SRPM URL: http://openrisc.rdsor.ro/libgeotiff-1.2.4rc1.fc8.src.rpm

Both seems 404?
Comment 3 Mamoru TASAKA 2007-07-23 12:35:35 EDT
(A note:
 For pre-versions like rc, the EVR of rpm must be like:
 1.2.4-0.X.rcY to avoid broken EVR path.)
Comment 4 Balint Cristian 2007-07-23 12:51:26 EDT
I am sorry.

re-uploaded.

Spec URL: http://openrisc.rdsor.ro/libgeotiff.spec
SRPM URL: http://openrisc.rdsor.ro/libgeotiff-1.2.4-0.1.rc1.fc8.src.rpm

Comment 5 Balint Cristian 2007-07-23 12:56:40 EDT
EPSG dataset license is OK now.

Confirmed by Thomas Callaway <tcallawa@redhat.com>, olso FSF.

   Minor thing is that EPSG dataset is splitted in csv files, see
ChangeLog but without alter the data essence itself, just 
reorganise original EPSG wich comes as SQl dumps or MS Access 
files.
   EPSG hates alter of dataset so I must be carefull looking at that.

At a point my plan is to split separate epsg-data.noarch one and re-base
gdal and geotiff over it. Thats should be clearest way include EPSG 
dataset, and trace down how csv files are generated.

~cristian
Comment 6 Mamoru TASAKA 2007-07-23 15:06:45 EDT
Created attachment 159804 [details]
mock build log of libgeotiff 1.2.4-0.1.rc1 on rawhide i386

Very rapid comment because I want to go to bed..

* debuginfo rpm is of no use. It seems that -g option is
  removed.
* I suggest to move the header files to the subdirectory of /usr/include
  and hide them from /usr/include (as you wrote on .pc file)
* Specify the full URL of the source.
* I may be wrong, however (for example)
  /usr/include/geonames.h contains
--------------------------------------------
    47	static KeyInfo _keyInfo[] =  {
    48	#   include "geokeys.inc"   /* geokey database */
    49	    END_LIST
--------------------------------------------
  but geokeys.inc is missing?
* /usr/include/xtiffio.h contains
--------------------------------------------
    10	#include "tiffio.h"
--------------------------------------------
  And it seems that tiffio.h is included in libtiff-devel.
  So libgeotiff-devel should require libtiff-devel.
* Check if
--------------------------------------------
make install DESTDIR=<foo> INSTALL="%{__install} -p"
--------------------------------------------
  works to keep timestamps on the header files installed.
Comment 7 Balint Cristian 2007-07-23 19:30:55 EDT
Spec URL: http://openrisc.rdsor.ro/libgeotiff.spec
SRPM URL: http://openrisc.rdsor.ro/libgeotiff-1.2.4-0.2.rc1.fc8.src.rpm

* Mon Jul 23 2007 Balint Cristian <cbalint@redhat.com> 1.2.4-0.2.rc1
- fix debuginfo usability
- move header files to the subdirectory
- specify the full URL of the source
- leave *.inc headers included
- libgeotiff-devel should require libtiff-devel
- works to keep timestamps on the header files installed
Comment 8 Balint Cristian 2007-07-23 19:34:58 EDT
- docs file proper triage
Comment 9 Mamoru TASAKA 2007-07-24 03:27:08 EDT
Now debuginfo rpm is correct.
For 1.2.4-0.2:

* License
  - Under which is the whole package of libgeotiff licensed ?
    Public domain or MIT? As far as I checked the source codes,
    many codes are under MIT (X).

* pkgconfig .pc file
  - Currently pkg-config returns:
--------------------------------------------------
$ pkg-config --cflags libgeotiff
-I/usr/include/libgeotiff/libgeotiff 
--------------------------------------------------

* Directory ownership issue
--------------------------------------------------
$ LANG=C rpm -qf /usr/share/epsg_csv/alias.csv 
libgeotiff-1.2.4-0.2.rc1.fc8
$ LANG=C rpm -qf /usr/share/epsg_csv/ 
file /usr/share/epsg_csv is not owned by any package
--------------------------------------------------

(In reply to comment #5)
> At a point my plan is to split separate epsg-data.noarch one and re-base
> gdal and geotiff over it. Thats should be clearest way include EPSG 
> dataset, and trace down how csv files are generated.
* A question:
  - Are there any other (splitted) source which contains only EPSG
    data or are you going to create epsg-data rpm as a subpackage of
    libgeotiff?
  - When epsg-data is splitted out, will epsg-data be needed only to rebuild
    libgeotiff or gdal, or will it be needed even for runtime?
Comment 10 Balint Cristian 2007-07-24 06:57:49 EDT
Spec URL: http://openrisc.rdsor.ro/libgeotiff.spec
SRPM URL: http://openrisc.rdsor.ro/libgeotiff-1.2.4-0.3.rc1.fc8.src.rpm

* Tue Jul 24 2007 Balint Cristian <cbalint@redhat.com> 1.2.4-0.3.rc1
- codes are under MIT
- pkg-config cflags return fix
- epsg_csv ownership


RE for #5:

I would like to split out epsg data for 3 reasons:

- 1) would be nice to have noarch epsg dataset separatley so any time i can 
respin agains newer versions independently agains gdal/geotiff

- 2) this way i can include all _original_ dataset and people can see how it 
explode in .csv and .inc ones, EPSG loves to see we NOT alter their database 
just copy portions and re-arange tham, however their sql dumps arent usefull 
when you fopen() at all. SO license statement will be not brake at all.

- 3) gdal and geotiff with small patch can pick up tham on the fly from 
specific folder, and any respin off epsg would NOT imply rebuild of 
gdal/geotiff code, actualy they fopen and search through it.

   However i still discuss with Frank how splitting works i need to find a way 
for do it in %build section of files. It might be strange since now he use
postgresql query to dump in csv files, but in %build time i cannot do like 
this, so need to rewrite script wich simply parse sql file dumps the same 
way. Its hard but would be nice.
 
Comment 11 Mamoru TASAKA 2007-07-24 07:14:17 EDT
For epsg data:
- So, currently epsg data is included in libgeotiff tarball, however
  you mean that you (and Frank) want to create new tarball of epsg
  data and distribute epsg data tarball and libgeotiff tarball seperately,
  am I correct?

  In such case, when splitting is done, you have to create a new review
  request for epsg data (and for now I want to proceed the review of
  libgeotiff as it is).
Comment 12 Balint Cristian 2007-07-24 07:24:02 EDT
1) It will take a while.
2) Yes I will subbmit new FE-REW one.
3) For now lets follow what we have at all, i agree.
Comment 13 Mamoru TASAKA 2007-07-24 10:25:35 EDT
Okay.

--------------------------------------------------------
   This package (libgeotiff) is APPROVED by me
--------------------------------------------------------
Comment 14 Mamoru TASAKA 2007-07-24 12:26:07 EDT
Please write the CVS Request according to 
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Comment 15 Balint Cristian 2007-07-24 12:34:11 EDT
New Package CVS Request
=======================
Package Name: libgeotiff
Short Description: GeoTIFF format library
Owners: cbalint@redhat.com
Branches: FC-6 F-7 EL-4 EL-5
InitialCC:
Comment 16 Fedora Update System 2007-07-30 13:03:21 EDT
libgeotiff-1.2.4-0.3.rc1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.